! Macro - Controls Lab
!
! Author: George P. Burdell
!
startmacro t:tab
  do count -9 9 3
    calc x count 2 mod
    if count eq 0 then
      say "Count is ^count (zero)"
    elseif x eq 0 then
      say "Count is ^count (even)"
    else
      say "Count is ^count (odd)"
    endif
  enddo
  
  
  invoke NM2METERS nxm.sys.inc.Constants.NM2METERS
  calc NM2KM NM2METERS 1000 /
  set nmi 0
  set km  0
  while km lt 10
    say "^{nmi}nmi = ^{km}km"
    calc l:nmi nmi 1 +
    calc km nmi NM2KM *
  endwhile
  
  
  foreach key inTable tab
    say "KEY=^key VALUE=^{tab.^{key}}"
  endfor
endmacro
